ETEX(1)

NAME
etex - extended (plain) TeX

SYNOPSIS
etex [options] [&format] [file|\commands]

DESCRIPTION
Run the e-TeX typesetter on file, by default creating file.dvi. If the file argument has no extension, ".tex" will be appended to it. Instead of a filename, a set of e-TeX commands can be given, the first of which must start with a backslash. With a &format argument e-TeX uses a different set of precompiled commands, contained in format.fmt; it is usually better to use the -fmt format option instead.

e-TeX is the first concrete result of an international research & development project, the NTS Project, which was established under the aegis of DANTE e.V. during 1992. The aims of the project are to perpetuate and develop the spirit and philosophy of TeX, whilst respecting Knuth's wish that TeX should remain frozen.

e-TeX can be used in two different modes: in compatibility mode it is supposed to be completely interchangable with standard TeX. In extended mode several new primitives are added that facilitate (among other things) bidirectional typesetting.

An extended mode format is generated by prefixing the name of the source file for the format with an asterisk (*).

e-TeX's handling of its command-line arguments is similar to that of the other TeX programs in the web2c implementation.

OPTIONS
This version of e-TeX understands the following command line options.

-fmt format
    Use format as the name of the format to be used, instead of the name by which e-TeX was called or a %& line.

-enc
    Enable the encTeX extensions. This option is only effective in combination with -ini. For documentation of the encTeX extensions see http://www.olsak.net/enctex.html.

-etex
    Enable the e-TeX extensions. This option is only effective in combination with -ini.

-file-line-error
    Print error messages in the form file:line:error which is similar to the way many compilers format them.

-no-file-line-error
    Disable printing error messages in the file:line:error style.

-file-line-error-style
    This is the old name of the -file-line-error option.

-halt-on-error
    Exit with an error code when an error is encountered during processing.

-help
    Print help message and exit.

-ini
    Start in INI mode, which is used to dump formats. The INI mode can be used for typesetting, but no format is preloaded, and basic initializations like setting catcodes may be required.

-interaction mode
    Sets the interaction mode. The mode can be either batchmode, nonstopmode, scrollmode, and errorstopmode. The meaning of these modes is the same as that of the corresponding \commands.

-ipc
    Send DVI output to a socket as well as the usual output file. Whether this option is available is the choice of the installer.

-ipc-start
    As -ipc, and starts the server at the other end as well. Whether this option is available is the choice of the installer.

-jobname name
    Use name for the job name, instead of deriving it from the name of the input file.

-kpathsea-debug bitmask
    Sets path searching debugging flags according to the bitmask. See the Kpathsea manual for details.

-mktex fmt
    Enable mktexfmt, where fmt must be either tex or tfm.

-mltex
    Enable MLTeX extensions. Only effective in combination with -ini.

-no-mktex fmt
    Disable mktexfmt, where fmt must be either tex or tfm.

-output-comment string
    Use string for the DVI file comment instead of the date.

-output-directory directory
    Write output files in directory instead of the current directory. Look up input files in directory first, the along the normal search path.

-parse-first-line
    If the first line of the main input file begins with %& parse it to look for a dump name or a -translate-file option.

-no-parse-first-line
    Disable parsing of the first line of the main input file.

-progname name
    Pretend to be program name. This affects both the format used and the search paths.

-recorder
    Enable the filename recorder. This leaves a trace of the files opened for input and output in a file with extension .fls.

-shell-escape
    Enable the \write18{command} construct. The command can be any shell command. This construct is normally disallowed for security reasons.

-no-shell-escape
    Disable the \write18{command} construct, even if it is enabled in the texmf.cnf file.

-src-specials
    Insert source specials into the DVI file.

-src-specials where
    Insert source specials in certain placed of the DVI file. where is a comma-separated value list: cr, display, hbox, math, par, parent, or vbox.

-translate-file tcxname
    Use the tcxname translation table to set the mapping of input characters and re-mapping of output characters.

-default-translate-file tcxname
    Like -translate-file except that a %& line can overrule this setting.

-version
    Print version information and exit.

ENVIRONMENT
See the Kpathsearch library documentation (the `Path specifications' node) for precise details of how the environment variables are used. The kpsewhich utility can be used to query the values of the variables.

One caveat: In most e-TeX formats, you cannot use ~ in a filename you give directly to e-TeX, because ~ is an active character, and hence is expanded, not taken as part of the filename. Other programs, such as Metafont, do not have this problem.

TEXMFOUTPUT
    Normally, e-TeX puts its output files in the current directory. If any output file cannot be opened there, it tries to open it in the directory specified in the environment variable TEXMFOUTPUT. There is no default value for that variable. For example, if you say etex paper and the current directory is not writable, if TEXMFOUTPUT has the value /tmp, e-TeX attempts to create /tmp/paper.log (and /tmp/paper.dvi, if any output is produced.) TEXMFOUTPUT is also checked for input files, as TeX often generates files that need to be subsequently read; for input, no suffixes (such as ``.tex'') are added by default, the input name is simply checked as given.

TEXINPUTS
    Search path for \input and \openin files. This should start with ``.'', so that user files are found before system files. An empty path component will be replaced with the paths defined in the texmf.cnf file. For example, set TEXINPUTS to ".:/home/user/tex:" to prepend the current direcory and ``/home/user/tex'' to the standard search path.

TEXFORMATS
    Search path for format files.

TEXPOOL
    search path for etex internal strings.

TEXEDIT
    Command template for switching to editor. The default, usually vi, is set when e-TeX is compiled.

TFMFONTS
    Search path for font metric (.tfm) files.

FILES
The location of the files mentioned below varies from system to system. Use the kpsewhich utility to find their locations.

etex.pool
    Text file containing e-TeX's internal strings.

texfonts.map
    Filename mapping definitions.

*.tfm
    Metric files for e-TeX's fonts.

*.fmt
    Predigested e-TeX format (.fmt) files.

NOTES
Starting with version 1.40, pdfTeX incorporates the e-TeX extensions, so in this installation eTeX may be just a symbolic link to pdfTeX. See pdftex(1). This manual page is not meant to be exhaustive. The complete documentation for this version of e-TeX can be found in the info manual Web2C: A TeX implementation.

BUGS
This version of e-TeX implements a number of optional extensions. In fact, many of these extensions conflict to a greater or lesser extent with the definition of e-TeX. When such extensions are enabled, the banner printed when e-TeX starts is changed to print e-TeXk instead of e-TeX.

This version of e-TeX fails to trap arithmetic overflow when dimensions are added or subtracted. Cases where this occurs are rare, but when it does the generated DVI file will be invalid.

SEE ALSO
pdftex(1), tex(1), mf(1).

AUTHORS
e-TeX was developed by Peter Breitenlohner and the NTS team; Peter later continued its development outside of the team.

TeX was designed by Donald E. Knuth, who implemented it using his Web system for Pascal programs. It was ported to Unix at Stanford by Howard Trickey, and at Cornell by Pavel Curtis. The version now offered with the Unix TeX distribution is that generated by the Web to C system (web2c), originally written by Tomas Rokicki and Tim Morgan.

The encTeX extensions were written by Petr Olsak.